> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riftmap.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Billing Status

> Return the workspace's billing status — plan, subscription status, seat count and limit, trial and billing-period end, and over-seat/org/repo flags. Owner only.



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace_id}/billing
openapi: 3.1.0
info:
  description: Change Impact Engine for multi-repo systems
  title: Riftmap
  version: 1.12.3
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace_id}/billing:
    get:
      tags:
        - billing
      summary: Get Billing Status
      description: >-
        Return the workspace's billing status — plan, subscription status, seat
        count and limit, trial and billing-period end, and over-seat/org/repo
        flags. Owner only.
      operationId: get_billing_status_api_v1_workspaces__workspace_id__billing_get
      parameters:
        - in: path
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
        - in: header
          name: X-Workspace-Id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Workspace-Id
        - in: cookie
          name: riftmap_access
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Riftmap Access
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingStatusResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    BillingStatusResponse:
      properties:
        billing_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Billing Email
        billing_period_end:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Billing Period End
        can_manage_subscription:
          title: Can Manage Subscription
          type: boolean
        cancel_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Cancel At
        extra_seats:
          title: Extra Seats
          type: integer
        over_org_limit:
          title: Over Org Limit
          type: boolean
        over_repo_limit:
          title: Over Repo Limit
          type: boolean
        over_seat_limit:
          title: Over Seat Limit
          type: boolean
        plan:
          title: Plan
          type: string
        seat_count:
          title: Seat Count
          type: integer
        seat_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seat Limit
        stripe_enabled:
          title: Stripe Enabled
          type: boolean
        subscription_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Subscription Status
        trial_ends_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Trial Ends At
      required:
        - plan
        - subscription_status
        - seat_count
        - seat_limit
        - extra_seats
        - trial_ends_at
        - billing_email
        - billing_period_end
        - stripe_enabled
        - over_seat_limit
        - over_org_limit
        - over_repo_limit
        - can_manage_subscription
        - cancel_at
      title: BillingStatusResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-Key
      type: apiKey
    HTTPBearer:
      description: API key as Bearer token (rfm_live_... prefix)
      scheme: bearer
      type: http

````